Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui.event
Class ActionEditEvent

    java.lang.Object
      java.util.EventObject
          de.grogra.pf.ui.event.EditEvent
              de.grogra.pf.ui.event.InputEditEvent
                  de.grogra.pf.ui.event.ActionEditEvent

All Implemented Interfaces:
  Context, java.io.Serializable, java.lang.Cloneable

    public class ActionEditEvent

extends InputEditEvent

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ActionEditEvent(java.lang.String name, java.awt.event.ActionEvent e)`
`ActionEditEvent(java.lang.String name, int modifiers)`
`ActionEditEvent(java.lang.String name, java.lang.Object parameter, int modifiers)`

Method Summary
`int` | `getModifiers()`
`java.lang.String` | `getName()`
`java.lang.Object` | `getParameter()`
`protected java.lang.String` | `paramString()`

Methods inherited from class de.grogra.pf.ui.event.InputEditEvent
`consume, isConsumed`

Methods inherited from class de.grogra.pf.ui.event.EditEvent
`clone, getComponent, getPanel, getWindow, getWorkbench, set, set, set, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActionEditEvent

    public ActionEditEvent(java.lang.String name,
                           java.awt.event.ActionEvent e)

### ActionEditEvent

    public ActionEditEvent(java.lang.String name,
                           int modifiers)

### ActionEditEvent

    public ActionEditEvent(java.lang.String name,
                           java.lang.Object parameter,
                           int modifiers)

Method Detail

### getModifiers

    public final int getModifiers()

### getName

    public java.lang.String getName()

### getParameter

    public java.lang.Object getParameter()

### paramString

    protected java.lang.String paramString()

  Overrides:
    `paramString` in class `EditEvent`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD